Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Class CaretEvent

    java.lang.Object
      java.util.EventObject
          javax.swing.event.CaretEvent

All Implemented Interfaces:
  Serializable

    public abstract class CaretEvent

extends EventObject

CaretEvent is used to notify interested parties that the text caret has changed in the event source.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`CaretEvent(Object source)` Creates a new CaretEvent object.

Method Summary
`abstract int` | `getDot()` Fetches the location of the caret.
`abstract int` | `getMark()` Fetches the location of other end of a logical selection.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CaretEvent

    public CaretEvent(Object source)

  Creates a new CaretEvent object.

  Parameters:
    `source` - the object responsible for the event

Method Detail

### getDot

    public abstract int getDot()

  Fetches the location of the caret.

  Returns:
    the dot >= 0

### getMark

    public abstract int getMark()

  Fetches the location of other end of a logical selection. If there is no selection, this will be the same as dot.

  Returns:
    the mark >= 0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.